package net.educoder.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: youys
 * @Date: 2022/4/2
 * @Description: 读取配置.
 */
@Configuration
public class PropertiesConfig {

    /**
     * 钉钉机器人token.
     */
    @Value("${evaluation.token}")
    private String token;

    /**
     * 钉钉机器人secret.
     */
    @Value("${evaluation.secret}")
    private String secret;

    /**
     * 评测错误输出.
     */
    @Value("${bridge.errorOutPuts}")
    private String errorOutPuts;


    /**
     * 实训评测接口地址.
     */
    @Value("${bridge.evaluation}")
    private String gameEvaluationUrl;

    /**
     * oj评测接口地址.
     */
    @Value("${bridge.ojEvaluation}")
    private String ojEvaluationUrl;

    /**
     * 评测回调接口地址.
     */
    @Value("${bridge.callbackUrl}")
    private String callbackUrl;


    public String getToken() {
        return token;
    }

    public String getSecret() {
        return secret;
    }

    public String getErrorOutPuts() {
        return errorOutPuts;
    }

    public String getGameEvaluationUrl() {
        return gameEvaluationUrl;
    }

    public String getOjEvaluationUrl() {
        return ojEvaluationUrl;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }
}
